/**
 * PauseMenuModule.java.
 */
package dds.control.user.modules;

import dds.control.DDSApplet;
import dds.control.user.AbstractModule;

/**
 * The PauseMenuModule class is responsible for handling user input and displays
 * when a simulation is paused.
 * 
 * @author Jacob Bolton
 */
public class PauseMenuModule extends AbstractModule {

    /**
     * Constructor for PauseMenuModule.
     * 
     * @param applet The parent DDSApplet.
     */
    public PauseMenuModule(final DDSApplet applet) {
        super(applet);
        // TODO Write PauseMenuModule
    }

    /**
     * The destruct method is used to destroy this object when the DDSApplet
     * parent is done with it to allow for easier garbage collection. It does
     * this by unsetting the references this object has to/with other objects.
     * 
     * @see dds.control.AbstractDDSAppletChild#destruct()
     */
    @Override
    public void destruct() {
        // TODO Write destruct in PauseMenuModule
    }

    /**
     * The setup method is used to perform any necessary operations that this
     * objects needs to execute in order to ready itself for proper use by the
     * DDSApplet parent.
     * 
     * @see dds.control.AbstractDDSAppletChild#setup()
     */
    @Override
    public void setup() {
        // TODO Write setup in PauseMenuModule
    }
}
