package dds.model.simulation;

/**
 * The Car class is responsible for modelling a car within the simulation.
 * 
 * @author Jacob Bolton
 */
public class Car extends GenericVehicle {

    /**
     * Constructor for Car.
     * 
     * @param idString The UNIQUE ID String for this object in the simulation.
     */
    public Car(final String idString) {
        super(idString, "lowpolycar.obj");
    }

} // end class definition Car
