package dds.model.simulation;

import org.w3c.dom.Document;

/**
 * The SimulationFactory class.
 * 
 * @author jbolton
 */
public interface SimulationFactory {

    /**
     * The createSimulation.
     * 
     * @param dom DOM object loaded from XML to be parsed.
     * @return the new simulation
     */
    Simulation createSimulation(final Document dom);
    
} // end interface definition SimulationFactory
