/**
 * AbstractGenericRenderer.java.
 */
package dds.view.simulation;

import dds.model.simulation.AbstractSimObject;

/**
 * The AbstractGenericRenderer class defines some standard behavior for
 * renderers that draw things from an OBJModel.
 * 
 * @author Jacob Bolton
 */
// TODO Find and refactor the standard behavior into this class.
public abstract class AbstractGenericRenderer 
        extends AbstractSimObjectRenderer {

    /**
     * Constructor for AbstractGenericRenderer.
     * 
     * @param obj the SimObject to render.
     */
    public AbstractGenericRenderer(final AbstractSimObject obj) {
        super(obj);
    }

}
